commit:     a1d44c813b62734f13302e6ec78c8650a235a3af
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  5 09:21:22 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Mar  5 10:32:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1d44c81

dev-python/pytest-httpbin: Bump

Package-Manager: portage-2.2.27

 dev-python/pytest-httpbin/Manifest                 |  1 +
 .../pytest-httpbin/pytest-httpbin-0.2.3.ebuild     | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/pytest-httpbin/Manifest 
b/dev-python/pytest-httpbin/Manifest
index e18ea7a..eb8f805 100644
--- a/dev-python/pytest-httpbin/Manifest
+++ b/dev-python/pytest-httpbin/Manifest
@@ -1 +1,2 @@
 DIST pytest-httpbin-0.2.0.tar.gz 9372 SHA256 
67a6d8e7890630b334e1cb38548a7118cb15930e218ece5b7a8bc94a8696ceed SHA512 
a8e80979de59578a7cf16fa6cc08386bac9357bc8b48e34fc2a24cea18d531e61bf3c2474f8fc1b230dcd31641cb4bc960bab05e4bdbab98637c2fbf08671bfd
 WHIRLPOOL 
b5b532a1cc9e4b06f67787ca7ada0614b5145245934bcd796586fe0d18d186529388f608b24222a1b9372393e38f0a81df75ab205eafe134bb3287a34b122fec
+DIST pytest-httpbin-0.2.3.tar.gz 9498 SHA256 
c5b698dfa474ffc9caebcb35e34346b753eb226aea5c2e1b69fefedbcf161bf8 SHA512 
f3c4eb67d1b02c27d8edb42622793fa3604e3f0bd5086e4986b8f0402a9fb8d7969a466be92fc6a7e301e829dbeb300183b40dccc9ec5da1d158cb4d08274f8b
 WHIRLPOOL 
c7b4c1d4955389d180474aae59ad1ab3d86e1f81f84fb00fecd562c38a2a27cc741562a4f78fe7691fe978533dd8fbfd2c1b5da1a205cb996eea9bdc090c0072

diff --git a/dev-python/pytest-httpbin/pytest-httpbin-0.2.3.ebuild 
b/dev-python/pytest-httpbin/pytest-httpbin-0.2.3.ebuild
new file mode 100644
index 0000000..817a064
--- /dev/null
+++ b/dev-python/pytest-httpbin/pytest-httpbin-0.2.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Easily test your HTTP library against a local copy of httpbin"
+HOMEPAGE="https://github.com/kevin1024/pytest-httpbin 
http://pypi.python.org/pypi/pytest-httpbin";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/decorator[${PYTHON_USEDEP}]
+       dev-python/flask[${PYTHON_USEDEP}]
+       dev-python/httpbin[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+# Not includd
+RESTRICT=test
+
+python_test() {
+       PYTEST_PLUGINS=pytest_httpbin \
+               py.test -v -s || die
+}

Reply via email to